unsigned long map_checksum = 0;

int mapLoad(char *filename);
static int  genChecksum(char *mapData, unsigned long fileSize);

int mapLoad(char *filename)
{
	FILE *fp;
	char *fileData;
	unsigned long fileSize;

	if(!(fp = fopen(filename, "rb")))
		return 0;

	fseek(fp, 0, SEEK_END);
	fileSize = ftell(fp);
	fseek(fp, 0, SEEK_SET);

	fileData = (char *)calloc(fileSize, 1);
	fread(fileData, 1, fileSize, fp);
	fclose(fp);

	map_checksum = GetFileChecksum((BYTE*)fileData, fileSize);

	printf("Test value : %i\n", map_checksum);

	free(fileData);
	return 1;
}
